phoca 4.1.2 and joomla 3.4 upgrade error.

Phoca Gallery - image gallery extension
abingdontech
Phoca Newbie
Phoca Newbie
Posts: 5
Joined: 07 Jun 2015, 10:45

phoca 4.1.2 and joomla 3.4 upgrade error.

Post by abingdontech » 07 Jun 2015, 10:50

Hi All,

Need some help i have upgraded to phoca 4.1.2 and joomla 3.4 (from 2.5.28) i can get the back end working fine all my categories and images are there however when i try and set category view in the front end i get the following error

TABLE '######_######.J25_PHOCAGALLERY_STYLES' DOESN'T EXIST SQL=SELECT A.FILENAME AS FILENAME, A.TYPE AS TYPE, A.MENULINK AS MENULINK FROM J25_PHOCAGALLERY_STYLES AS A WHERE A.PUBLISHED = 1 ORDER BY A.TYPE, A.ORDERING ASC
GO BACK HOM

All the tables exists and i have tried everything, im getting to the point now where i may need to try another component but i really like phoca.

Thanks in advance for any help

User avatar
Benno
Phoca Hero
Phoca Hero
Posts: 7106
Joined: 04 Dec 2008, 11:58
Location: Germany
Contact:

Re: phoca 4.1.2 and joomla 3.4 upgrade error.

Post by Benno » 07 Jun 2015, 11:04

Hi,
TABLE '######_######.J25_PHOCAGALLERY_STYLES' DOESN'T EXIST SQL=SELECT A.FILENAME AS FILENAME, A.TYPE AS TYPE, A.MENULINK AS MENULINK FROM J25_PHOCAGALLERY_STYLES AS A WHERE A.PUBLISHED = 1 ORDER BY A.TYPE, A.ORDERING ASC
All the tables exists...[...] :idea:
See: https://www.phoca.cz/documents/16-joomla ... ase-column

Kind regards,
Benno

abingdontech
Phoca Newbie
Phoca Newbie
Posts: 5
Joined: 07 Jun 2015, 10:45

Re: phoca 4.1.2 and joomla 3.4 upgrade error.

Post by abingdontech » 08 Jun 2015, 13:01

I have tried that a few tinmes but still it does not work.
Thanks

abingdontech
Phoca Newbie
Phoca Newbie
Posts: 5
Joined: 07 Jun 2015, 10:45

Re: phoca 4.1.2 and joomla 3.4 upgrade error.

Post by abingdontech » 12 Jun 2015, 10:36

Can no one help?

User avatar
Benno
Phoca Hero
Phoca Hero
Posts: 7106
Joined: 04 Dec 2008, 11:58
Location: Germany
Contact:

Re: phoca 4.1.2 and joomla 3.4 upgrade error.

Post by Benno » 12 Jun 2015, 14:25

Hi,
1.) do you have followed this migration guide step by step? https://www.phoca.cz/documents/50-phoca/ ... o-joomla-3
2.) do you have created the missing table j25_phocagallery_styles manually now?

Kind regards,
Benno

abingdontech
Phoca Newbie
Phoca Newbie
Posts: 5
Joined: 07 Jun 2015, 10:45

Re: phoca 4.1.2 and joomla 3.4 upgrade error.

Post by abingdontech » 12 Jun 2015, 14:43

Hi,

Yes i have done this.

Thanks Mark

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 41462
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: phoca 4.1.2 and joomla 3.4 upgrade error.

Post by Jan » 12 Jun 2015, 15:09

Hi, the error says that the table is missing which means it was not created, try to take a look into your database and check if it really exists.

Jan
If you find Phoca extensions useful, please support the project

abingdontech
Phoca Newbie
Phoca Newbie
Posts: 5
Joined: 07 Jun 2015, 10:45

Re: phoca 4.1.2 and joomla 3.4 upgrade error.

Post by abingdontech » 06 Jul 2015, 15:09

Hi Jan,

I have followed the instructions what would stop this table creating?


Thanks Mark

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 41462
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: phoca 4.1.2 and joomla 3.4 upgrade error.

Post by Jan » 08 Jul 2015, 00:30

If you find Phoca extensions useful, please support the project

jagy
Phoca Member
Phoca Member
Posts: 13
Joined: 03 Apr 2013, 17:32

Re: phoca 4.1.2 and joomla 3.4 upgrade error.

Post by jagy » 11 Jun 2019, 12:06

Hi,
I tried to ugrade Phoca Gallery 4.1.1 in Joomla 3.9.6 and it didn't work.
in Categories I get the msg: Unknown column 'a.image_id' in 'group statement'
now, it Version doesn't show a version.

Also, I'm not able to add youtube videos as I did before ??? It seems to require an API, which I have but I don't see a where to add it in Phoca Gallery ???

Thanks for your help! Joan

Post Reply